Update a budget
curl --request PUT \
--url https://api.integrations.commenda.io/v4/core/companies/{companyId}/budgets \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"data": {
"platform_id": "string",
"name": "string",
"budget_type": "PROJECT",
"status": "ACTIVE",
"currency_id": "AED",
"start_date": "2024-01-01T00:00:00Z",
"end_date": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"budget_lines": [
{
"platform_id": "string",
"tracking_category_ids": [
"string"
],
"budget_id": "string",
"account_id": "string",
"project_id": "string",
"item_id": "string",
"description": "string",
"quantity": 0,
"unit_amount": 0,
"total_amount": 0,
"date": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}
]
}
}
'import requests
url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/budgets"
payload = { "data": {
"platform_id": "string",
"name": "string",
"budget_type": "PROJECT",
"status": "ACTIVE",
"currency_id": "AED",
"start_date": "2024-01-01T00:00:00Z",
"end_date": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"budget_lines": [
{
"platform_id": "string",
"tracking_category_ids": ["string"],
"budget_id": "string",
"account_id": "string",
"project_id": "string",
"item_id": "string",
"description": "string",
"quantity": 0,
"unit_amount": 0,
"total_amount": 0,
"date": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}
]
} }
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
platform_id: 'string',
name: 'string',
budget_type: 'PROJECT',
status: 'ACTIVE',
currency_id: 'AED',
start_date: '2024-01-01T00:00:00Z',
end_date: '2024-01-01T00:00:00Z',
updated_at: '2024-01-01T00:00:00Z',
budget_lines: [
{
platform_id: 'string',
tracking_category_ids: ['string'],
budget_id: 'string',
account_id: 'string',
project_id: 'string',
item_id: 'string',
description: 'string',
quantity: 0,
unit_amount: 0,
total_amount: 0,
date: '2024-01-01T00:00:00Z',
updated_at: '2024-01-01T00:00:00Z'
}
]
}
})
};
fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/budgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"sync_id": "<string>",
"data": {
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"rootfi_integration_type": "BUSY",
"platform_id": "<string>",
"name": "<string>",
"budget_type": "PROJECT",
"status": "ACTIVE",
"currency_id": "AED",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"budget_lines": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"rootfi_integration_type": "BUSY",
"platform_id": "<string>",
"tracking_category_ids": [
"<string>"
],
"budget_id": "<string>",
"account_id": "<string>",
"project_id": "<string>",
"item_id": "<string>",
"description": "<string>",
"quantity": 123,
"unit_amount": 123,
"total_amount": 123,
"date": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
},
"request_id": "<string>"
}Budgets
Update a budget
PUT
/
v4
/
core
/
companies
/
{companyId}
/
budgets
Update a budget
Authorizations
Your Commenda Integrations API key, sent in the api_key header.
Path Parameters
Commenda company id.
Query Parameters
Process the write asynchronously. Required when data is an array (batch write).
Body
application/json
- object
- object[]
Show child attributes
Show child attributes